API Docs / Operations / Time Tracking / List TimeEntries

List TimeEntries

GET /tenants/{tenant}/time-entries

Lists all TimeEntries for the given tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

EntryDate DurationMinutes ClientName UserName IsBillable

Field to sort by.

EntryDate DurationMinutes ClientName UserName IsBillable

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

userCode query string

Filter by team member code

Filter by team member code

clientCode query string

Filter by linked client code

Filter by linked client code

taskItemCode query string

Filter by linked task code

Filter by linked task code

dateRange query string

Preset date range for the entry window. When set (and not CustomDateRange), fromDate/toDate are calculated automatically.

Preset date range for the entry window. When set (and not CustomDateRange), fromDate/toDate are calculated automatically.

fromDate query string

Only include entries on or after this date

Only include entries on or after this date

toDate query string

Only include entries on or before this date

Only include entries on or before this date

isBillable query boolean

Filter by whether the entry is billable

Filter by whether the entry is billable

isBilled query boolean

Filter by whether the entry has been billed

Filter by whether the entry has been billed

search query string

Search across description, client name and task name (minimum 3 characters)

Search across description, client name and task name (minimum 3 characters)

Responses

401 Unauthorized – Invalid or missing API key

Try it